<?php
require_once '_main.php'; ?>

    <!-- =============================================== -->

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                购买流量
                <small>Buy transfer</small>
            </h1>
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="row">
                <!-- left column -->
                <div class="col-md-6">
				<div class="callout callout-warning">
                                <h4>注意！</h4>
                               <p style="color:black;font-size:14px;">购买流量服务仅针对有大流量需求的用户和为了支持站点持续发展。本站Pro节点有限，且不保证有明显加速效果，建议勿一次性购买大量流量，以免没有达到您预期设想。对于付费用户本站仅提供有限的技术支持，您有不满意的地方可以随时发邮件要求退款，注明ID，要求退款额度和支付宝即可。</p>
                               <p style="color:black;font-size:14px;"><del>购买之后将清空您目前拥有的所有免费流量,建议您使用完免费流量再充值。</del>如您已经是高级账户，则流量将会叠加，流量暂无有效期限制。</p>
                               <p style="color:red;font-size:14px;">上述说明中关于免费流量，充值后已修改为不清空，充值流量和免费节点流量将会直接叠加。如有bug，请反馈。</p>
                               <p>购买之后直到您用尽购买的流量之前您将无法通过签到获取流量。</p>
								              <p>购买流量用尽之后,系统将自动返还1GB免费节点流量（最长延迟10分钟）。</p>			
                            </div>
                    <!-- general form elements -->
					           <div class="box box-primary">
                        <div class="box-body">
							<p>充值卡充值</p>
                            <p><input type="text" class="form-control" placeholder="充值卡号" id="cardnum"></p>
                            <p><a class="btn btn-success btn-sm" onclick="submitcard(); return false;" id="submitbutton">确定</a></p>
                        </div><!-- /.box -->
                    </div>
                    
                                       
                    <!-- <div class="box box-primary">
                        <div class="box-body">
							<p><del>使用支付宝购买</del>(目前无法使用)</p>
							<p>目前价格为:0.2元每GB(<a target="_blank" href="http://www.917ka.com/list/1obvc/";">获取充值卡</a>)</p>
                            <p><input type="text" class="form-control" placeholder="购买量必须为不大于1000的正整数，单位为GB" id="num"></p>
                            <p><a class="btn btn-success btn-sm" onclick="buy(); return false;" id="buybutton">购买</a></p>
                        </div><!-- /.box -->
                    <!--</div>-->
                    
                </div>
            </div>
        </section><!-- /.content -->
    </div><!-- /.content-wrapper -->
<?php
require_once '_footer.php'; ?>
<script>
function buy(){
	if($("#num").val() < 1 || $("#num").val() > 1000){
		showbox('提示','您输入的流量数量不合法');
		return false;
	}
	$("#buybutton").html('提交中...');
	$.post("neworder.php",{
		"num":$("#num").val()
	},function(data,status){
		if(status == 'success'){
			showbox('交易信息',data);
		}else{
			showbox('错误','通信错误');
		}
	});
}

function submitcard(){
	$("#submitbutton").html('提交中...');
	$.post("submitcard.php",{
		"cardnum":$("#cardnum").val()
	},function(data,status){
		if(status == 'success'){
			showbox('交易信息',data);
		}else{
			showbox('错误','通信错误');
		}
	});
}
function showbox(title,content){
	$("#skin-blue").append('<div class="modal fade in" id="tradebox" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="display: block;"><div class="modal-dialog"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-hidden="true" onclick="closebox(); return false;">×</button><h4 class="modal-title" id="myModalLabel" contenteditable="false">'+title+'</h4></div><div class="modal-body" contenteditable="false">'+content+'</div><div class="modal-footer"></div></div></div></div>');
}
function closebox(){
	$("#tradebox").remove();
	$("#submitbutton").html('提交');
}
</script>
